Touch Point List Functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Enumerations | Functions
Touch Point List Functions
Evas » Canvas Functions

Functions to get information of touched points in the Evas. More...

## Enumerations
enum | Evas_Touch_Point_State { EVAS_TOUCH_POINT_DOWN = 0 , EVAS_TOUCH_POINT_UP , EVAS_TOUCH_POINT_MOVE , EVAS_TOUCH_POINT_STILL , EVAS_TOUCH_POINT_CANCEL }
| State of Evas_Coord_Touch_Point. More...

## Functions
EVAS_API unsigned int | evas_touch_point_list_count (Evas *obj)
| Get the number of touched point in the evas.
EVAS_API int | evas_touch_point_list_nth_id_get (Evas *obj, unsigned int n)
| This function returns the `id` of nth touch point.
EVAS_API Evas_Touch_Point_State | evas_touch_point_list_nth_state_get (Evas *obj, unsigned int n)
| This function returns the `state` of nth touch point.
EVAS_API void | evas_touch_point_list_nth_xy_get (Evas *eo_e, unsigned int n, Evas_Coord *x, Evas_Coord *y)
| This function returns the nth touch point's coordinates.

## Detailed Description

Functions to get information of touched points in the Evas.

Evas maintains list of touched points on the canvas. Each point has its co-ordinates, id and state. You can get the number of touched points and information of each point using evas_touch_point_list functions.

## Enumeration Type Documentation

## ◆ Evas_Touch_Point_State

enum Evas_Touch_Point_State

State of Evas_Coord_Touch_Point.

Enumerator
EVAS_TOUCH_POINT_DOWN | Touch point is pressed down.
EVAS_TOUCH_POINT_UP | Touch point is released.
EVAS_TOUCH_POINT_MOVE | Touch point is moved.
EVAS_TOUCH_POINT_STILL | Touch point is not moved after pressed.
EVAS_TOUCH_POINT_CANCEL | Touch point is cancelled.

## Function Documentation

## ◆ evas_touch_point_list_count()

EVAS_API unsigned int evas_touch_point_list_count | ( | Evas * | obj | ) |

Get the number of touched point in the evas.

New touched point is added to the list whenever touching the evas and point is removed whenever removing touched point from the evas.

Returns
  The number of touched point on the evas.

## ◆ evas_touch_point_list_nth_id_get()

EVAS_API int evas_touch_point_list_nth_id_get | ( | Evas * | obj,
|  | unsigned int | n
| ) |  |

This function returns the `id` of nth touch point.

The point which comes from Mouse Event has `id` 0 and The point which comes from Multi Event has `id` that is same as Multi Event's device id.

Parameters

  [in] | n | The number of the touched point (0 being the first).

Returns
  id of nth touch point, if the call succeeded, -1 otherwise.

References eina_list_nth().

## ◆ evas_touch_point_list_nth_state_get()

EVAS_API Evas_Touch_Point_State evas_touch_point_list_nth_state_get | ( | Evas * | obj,
|  | unsigned int | n
| ) |  |

This function returns the `state` of nth touch point.

The point's `state` is EVAS_TOUCH_POINT_DOWN when pressed, EVAS_TOUCH_POINT_STILL when the point is not moved after pressed, EVAS_TOUCH_POINT_MOVE when moved at least once after pressed and EVAS_TOUCH_POINT_UP when released.

Parameters

  [in] | n | The number of the touched point (0 being the first).

Returns
  `state` of nth touch point, if the call succeeded, EVAS_TOUCH_POINT_CANCEL otherwise.

References eina_list_nth(), and EVAS_TOUCH_POINT_CANCEL.

## ◆ evas_touch_point_list_nth_xy_get()

EVAS_API void evas_touch_point_list_nth_xy_get | ( | Evas * | eo_e,
|  | unsigned int | n,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y
| ) |  |

This function returns the nth touch point's coordinates.

Touch point's coordinates is updated whenever moving that point on the canvas.

Parameters

  [in] | n | The number of the touched point (0 being the first).
  [out] | x | The pointer to a Evas_Coord to be filled in.
  [out] | y | The pointer to a Evas_Coord to be filled in.